<template>
<tr>
    <td class="text-center">{{ row + 1 }}.</td>
    <td class="project-title">
        <a @click="del( agent.id )"> 
            {{ agent.full_name }}
        </a>
        <br>
        <i class="fa fa-envelope"></i>
        <small>{{ agent.email }}</small>
        &nbsp;|&nbsp;
        <i class="fa fa-phone"></i>
        <small>{{ agent.contact_num }}</small>
    </td>
    <td class="project-title">{{ agent.display_started_date }}</td>
    <td class="project-actions text-right">
        <button class="btn btn-white btn-sm" @click="del( agent.id )"> 
            <i class="fa fa-trash-o"></i>&nbsp;&nbsp;Delete&nbsp;&nbsp;&nbsp;
        </button>
        <button class="btn btn-white btn-sm" 
                @click="edit( agent )"> 
            <i class="fa fa-pencil" ></i>&nbsp;&nbsp;Edit&nbsp;&nbsp;&nbsp;
        </button>
    </td>
</tr>
</template>

<script>
export default {
    props: [
        'agent',
        'row'
    ],
    methods: {
        edit( row_data ) {
            this.$emit('edit', row_data)
        },
        del( id ){
            this.$emit('delete', id)
        }
    }
}
</script>

